QGIS Application - Bug report #8651
legends are broken in qgis master, print layouts
2013-09-23 10:35 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17382
Description

subject says it all. They work in gqgis 2.0.1

History

#1 - 2013-09-23 10:35 AM - Giovanni Manghi
- Subject changed from legenda are broken in qgis master, print layouts to legends are broken in qgis master, print layouts

#2 - 2013-09-24 11:30 PM - Mathieu Pellerin - nIRV
- Target version changed from 70 to Future Release - High Priority

Steps to reproduce:

1. Create a new project

2. Add two vector layers (number is irrelevant)
3. Create a new composer window

4. Add a legend element

You'll notice the none of the legend items have symbology attached to the labels.

#3 - 2013-10-01 12:51 PM - Johannes Kroeger

I meant to file the following but this seems to be the same issue (even though it lacks description...).

Can you try if they appear if you switch to a rule-based style? Then it is the same issue like mine. See below.

| made a vector point layer and added one dot with id 1.

It is shown in the qgis window. The style is single symbol by default.

| create a print composer. | add a legend.

The legend in the composer view just reads "Legend", there is no point shown.

The Legend items list in the menu on the right shows my layer title in column "1" and "hidden" in column "2".

| alttab back to the main qgis window.
| change the style to categorized. | choose the id column and hit classify.
Back in the composer | hit "update all" in the legend items panel.

Nothing changes.

Same if | change the style to graduated.
If 1 change to a rule-based style however and then "update all" in the legend items panel, | can expand the layer title and there is a colored dot. In the

composer view legend the dot also appears.

| would expected the legend to always show my point style.

#4 - 2013-10-02 12:32 AM - Giovanni Manghi

Johannes Kroeger wrote:

I meant to file the following but this seems to be the same issue (even though it lacks description...).

Can you try if they appear if you switch to a rule-based style? Then it is the same issue like mine. See below.

yes is the same issue.

#5 - 2013-10-02 10:47 AM - John Tull

| found that the symbol will also disappear from a legend if you edit the legend item name for an existing project. Creating a new composer in a new qgis

project, all legend items lack symbology.

#6 - 2013-10-03 04:59 AM - Simon Dedman

This issue raised with pictures here - apologies | didn't check hub first.

#7 - 2013-10-03 09:34 AM - John Tull

- Assignee set to Marco Hugentobler

#8 - 2013-10-03 12:20 PM - John Tull

| ran 'git bisect' and tracked it down to:

commit:0edf0d2764f20d2ca6ab4f6ee86d82e63a7259fc is the first bad commit

commit 0edf0d2764f20d2cabab4f6ee86d82e63a7259fc

Author: Stéphane Brunner <courriel@stephane-brunner.ch>

Date: Fri Sep 13 19:07:27 2013 +0200

Use scale parameter to display concerned class

:040000 040000 bdb0516117004e608963b624b40724289¢c997b9f 3f6139b66eafbb7d42eba34ffca43ca2c93acab3 M src

https://issues.qgis.org/projects/quantum-gis/repository/revisions/0edf0d2764f20d2cabab4f6ee86d82e63a7259fc

#9 - 2013-10-03 11:15 PM - Marco Hugentobler
- Status changed from Open to Closed

Fixed in c71d87769e0a1a5f7d66c830b62931edff6alc70
http://gis.stackexchange.com/questions/73095/qgis-print-composer-layer-symbology-not-displayed
mailto:courriel@stephane-brunner.ch
https://issues.qgis.org/projects/quantum-gis/repository/revisions/0edf0d2764f20d2ca6ab4f6ee86d82e63a7259fc

#10 - 2013-10-04 10:17 AM - John Tull

Works well in trunk now, thanks!

Marco Hugentobler wrote:

Fixed in c71d87769e0a1ab5f7d66c830b62931edfféalc70
